ruby-lapack_1.8.1-1+b1_amd64.deb


Advertisement

Description

ruby-lapack - Ruby wrapper of LAPACK

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-lapack
Package version 1.8.1
Package release 1+b1
Package architecture amd64
Package type deb
Installed size 8.03 KB
Download size 702.70 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-lapack_1.8.1-1+b1_i386.deb 1.8.1 i386 Debian Main
ruby-lapack - - -

Requires

Name Value
libc6 >= 2.14
libgmp10 -
liblapack.so.3 -
liblapack3 -
libruby2.5 >= 2.5.0~preview1
ruby >= 1:2.5~0
ruby << 1:2.6~
ruby-narray -

Download

Type URL
Binary Package ruby-lapack_1.8.1-1+b1_amd64.deb
Source Package ruby-lapack

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-lapack deb package:
    # sudo apt-get install ruby-lapack

Files

Path
/usr/lib/ruby/vendor_ruby/numru/lapack.rb
/usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.5.0/numru/lapack.so
/usr/share/doc/ruby-lapack/README.rdoc
/usr/share/doc/ruby-lapack/changelog.Debian.amd64.gz
/usr/share/doc/ruby-lapack/changelog.Debian.gz
/usr/share/doc/ruby-lapack/copyright
/usr/share/doc/ruby-lapack/examples/dpotrf.rb
/usr/share/doc/ruby-lapack/examples/dsyevr.rb
/usr/share/rubygems-integration/2.5.0/specifications/ruby-lapack-1.8.1.gemspec

Changelog

2018-03-08 - Youhei SASAKI <uwabami@gfd-dennou.org>
ruby-lapack (1.8.1-1) unstable; urgency=medium
[ Cédric Boutillier ]
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
* Use https:// in Vcs-* fields
* Bump Standards-Version to 3.9.7 (no changes needed)
* Run wrap-and-sort on packaging files
[ Youhei SASAKI ]
* New upstream version 1.8.1
* Add patch: Use vendorarchdir, Generate gemspec
* d/changelog: remove trailing-whitespace
* d/copyright: Update year, use https
* d/{control,conpat}: Bump Compat 11
* d/control: Bump Standard Version 4.1.3
* d/control: Add autopkgtest support
* d/ruby-tests.{rb,rake}: update testsuite
* d/{control,rules}: drop -dbg package
* d/control: use https
* d/control: Update Vcs-{Git,Browser}. use salsa
* d/{ruby-lapack.examples,rules}: Fix permission
2016-02-10 - Youhei SASAKI <uwabami@gfd-dennou.org>
ruby-lapack (1.7.2-1) unstable; urgency=medium
* Imported Upstream version 1.7.2
- Fix FTBFS on arm64, mips64el, ppc64el(Closes: #774618)
Thanks to James Cowgill, Edmund Grimley Evans, Peter Green
* Refresh patches
* Update debian/changelog
* Fix lintian warning: vcs-field-uses-insecure-uri
2015-07-23 - Youhei SASAKI <uwabami@gfd-dennou.org>
ruby-lapack (1.7.1-1) unstable; urgency=medium
* Imported Upstream version 1.7.1
* Bump Standard Version: 3.9.6
* Refresh patches
2014-05-27 - Youhei SASAKI <uwabami@gfd-dennou.org>
ruby-lapack (1.6-2) unstable; urgency=medium
* fix FTBFS, add test for ruby2.1 (Closes: #747689)
- Thanks to Hideki Yamane <henrich@debian.org>
2014-03-23 - Youhei SASAKI <uwabami@gfd-dennou.org>
ruby-lapack (1.6-1) unstable; urgency=medium
* Imported Upstream version 1.6
* Update test scripts
* Refresh patches: follow upstream changes
2013-12-22 - Jonas Genannt <jonas.genannt@capi2name.de>
ruby-lapack (1.5-2) unstable; urgency=low
* Team upload.
[ Cédric Boutillier ]
* debian/control
- remove obsolete DM-Upload-Allowed flag
- use canonical URI in Vcs-* fields
* debian/copyright: use DEP5 copyright-format/1.0 URL for Format field
[ Jonas Genannt ]
* d/control
- Updated ruby-lapack description (Closes: #712409)
- bumped standards version to 3.9.5 (no changes needed)
- bumped dependency gem2deb to 0.5.0 / Ruby 2.0 support
- updated ruby-lapack-dbg short description
* d/patches/FixLibraryPath: added DEP-3 header
* d/copyright: fixed copyright format
2011-05-02 - Youhei SASAKI <uwabami@gfd-dennou.org>
ruby-lapack (1.5-1) unstable; urgency=low
[ Youhei SASAKI ]
* Initial release (Closes: #619219)
* Imported Upstream version 1.5
[ Lucas Nussbaum ]
* remove --with quilt, not needed
* mention state in changelog

See Also

Package Description
ruby-launchy-shim_2.3.0.1_all.deb helper class for launching a web browser
ruby-ldap_0.9.20-1_amd64.deb OpenLDAP library binding for Ruby
ruby-leaflet-rails_0.7.7-1_all.deb Use leaflet.js with Rails 4
ruby-letter-opener_1.4.1-1_all.deb Preview mail in the browser instead of sending
ruby-levenshtein_0.2.2-2+b9_amd64.deb calculates the Levenshtein distance between two sequences
ruby-libprelude_4.1.0-4.1+b1_amd64.deb Security Information and Events Management system [ Ruby bindings ]
ruby-librarian_0.6.4-1_all.deb framework for writing bundlers
ruby-librdf_1.0.17.1+dfsg-1.3+b6_amd64.deb Ruby language bindings for the Redland RDF library
ruby-libvirt_0.7.1-1_amd64.deb Ruby bindings for libvirt
ruby-libxml_3.1.0-1_amd64.deb Ruby Bindings for LibXML2
ruby-license-finder_2.1.2-2_all.deb audit the OSS licenses of your application's dependencies
ruby-licensee_8.9.2-1_all.deb program to detect open source project licenses
ruby-liquid_4.0.0-2_all.deb Ruby library for rendering safe HTML and email templates
ruby-listen_3.1.5-1_all.deb Ruby library listening to file modifications
ruby-little-plugger_1.1.4-1_all.deb module that provides Gem based plugin management
Advertisement
Advertisement